#51 queries fail under sybase 11.5

Squirrel SQL
closed
Colin Bell
Core (461)
5
2015-01-08
2002-07-25
Paul Hussein
No

This was originally reported under bug 565754. I
thought it was fixed, but unfortunately it is not.

Some queries work, but others do not.

I am running under nt4.0

against Sybase ASE 11.5
jconnect 5.2
java version "1.4.0_01"
Java(TM) 2 Runtime Environment, Standard Edition
(build 1.4.0_01-b03)
Java HotSpot(TM) Client VM (build 1.4.0_01-b03,
mixed mode)

running with my own script

@echo on

@rem Run with a command window.
start /b javaw -cp
N:\DOWNLOAD\squirrel_sql\squirrel-
sql.jar;N:\DOWNLOAD\squirrel_sql\lib\fw.jar;N:\D
OWNLOAD\squirrel_sql\lib\log4j.jar;N:\DOWNLOA
D\squirrel_sql\lib\nanoxml-2.1.jar
net.sourceforge.squirrel_sql.client.Main -
loggingConfigFile=log4j.properties

Discussion

1 2 > >> (Page 1 of 2)
  • Colin Bell
    Colin Bell
    2002-07-25

    Logged In: YES
    user_id=233132

    It could possibly be a threading issue. Could you go to the
    command prompt that SQuirreL is running from and press Ctrl
    Break to cause a thread dump and please copy and paste the
    thread dump into this bug report.

    Do you have more than one processor in your PC?

    Col

     
  • Paul Hussein
    Paul Hussein
    2002-07-26

    Logged In: YES
    user_id=40847

    This is running on a single processor machine.

    N:\DOWNLOAD\squirrel_sql>C:\APPS\jdk1.3.1_04
    \bin\java -cp N:\DOWNLOAD\squirrel_s
    ql\squirrel-
    sql.jar;N:\DOWNLOAD\squirrel_sql\lib\fw.jar;N:\DOWNL
    OAD\squirrel_sql
    \lib\log4j.jar;N:\DOWNLOAD\squirrel_sql\lib\nanoxml-
    2.1.jar net.sourceforge.squi
    rrel_sql.client.Main -loggingConfigFile=log4j.properties
    Full thread dump:

    "Thread-2" daemon prio=2 tid=0x7d3c30 nid=0x45c
    waiting on monitor [0x98cf000..0
    x98cfdc0]
    at java.lang.Object.wait(Native Method)
    at com.sybase.jdbc2.utils.SyncQueue.take
    (SyncQueue.java:84)
    at com.sybase.jdbc2.utils.SyncObj.giveToMe
    (SyncObj.java:41)
    at com.sybase.jdbc2.timedio.RequestObj.giveToMe
    (RequestObj.java:44)
    at
    com.sybase.jdbc2.timedio.OutStreamMgr.getSendLock
    (OutStreamMgr.java:1
    02)
    at com.sybase.jdbc2.tds.Tds.language
    (Tds.java:620)
    at com.sybase.jdbc2.jdbc.SybStatement.sendQuery
    (SybStatement.java:1315)
    at
    com.sybase.jdbc2.jdbc.SybPreparedStatement.sendQuery
    (SybPreparedState
    ment.java:913)
    at
    com.sybase.jdbc2.jdbc.SybStatement.executeUpdate
    (SybStatement.java:14
    58)
    at
    com.sybase.jdbc2.jdbc.SybPreparedStatement.executeUp
    date(SybPreparedS
    tatement.java:88)
    at com.sybase.jdbc2.tds.Tds.adjustMaxRows
    (Tds.java:2548)
    at com.sybase.jdbc2.tds.Tds.rpc(Tds.java:670)
    at
    com.sybase.jdbc2.jdbc.SybCallableStatement.sendRpc
    (SybCallableStateme
    nt.java:416)
    at
    com.sybase.jdbc2.jdbc.SybCallableStatement.executeQu
    ery(SybCallableSt
    atement.java:67)
    at
    com.sybase.jdbc2.tds.RowFormatToken.getColumnType
    Name(RowFormatToken.
    java:516)
    at java.lang.reflect.Method.invoke(Native Method)
    at
    net.sourceforge.squirrel_sql.fw.datasetviewer.ResultSetM
    etaDataDataSe
    t.executeGetter(ResultSetMetaDataDataSet.java:151)
    at
    net.sourceforge.squirrel_sql.fw.datasetviewer.ResultSetM
    etaDataDataSe
    t.load(ResultSetMetaDataDataSet.java:123)
    at
    net.sourceforge.squirrel_sql.fw.datasetviewer.ResultSetM
    etaDataDataSe
    t.setResultSetMetaData
    (ResultSetMetaDataDataSet.java:71)
    at
    net.sourceforge.squirrel_sql.fw.datasetviewer.ResultSetM
    etaDataDataSe
    t.<init>(ResultSetMetaDataDataSet.java:66)
    at
    net.sourceforge.squirrel_sql.fw.datasetviewer.ResultSetM
    etaDataDataSe
    t.<init>(ResultSetMetaDataDataSet.java:60)
    at
    net.sourceforge.squirrel_sql.client.session.mainpanel.SQ
    LExecuterTask
    .run(SQLExecuterTask.java:106)
    at
    net.sourceforge.squirrel_sql.fw.util.TaskExecuter.run
    (TaskExecuter.ja
    va:65)
    at java.lang.Thread.run(Thread.java:479)

    "Thread-1" prio=5 tid=0x7c92b0 nid=0x34a waiting on
    monitor [0..0x6fb30]

    "Screen Updater" prio=5 tid=0x7c98c0 nid=0x449
    waiting on monitor [0x903f000..0x
    903fdc0]
    at java.lang.Object.wait(Native Method)
    at java.lang.Object.wait(Object.java:415)
    at sun.awt.ScreenUpdater.nextEntry
    (ScreenUpdater.java:71)
    at sun.awt.ScreenUpdater.run
    (ScreenUpdater.java:90)

    "TimerQueue" daemon prio=5 tid=0x7c59e0 nid=0x49
    waiting on monitor [0x8fff000..
    0x8fffdc0]
    at java.lang.Object.wait(Native Method)
    at javax.swing.TimerQueue.postExpiredTimers
    (TimerQueue.java:211)
    at javax.swing.TimerQueue.run
    (TimerQueue.java:226)
    at java.lang.Thread.run(Thread.java:479)

    "AWT-Windows" prio=7 tid=0x7802b0 nid=0x45f
    runnable [0x8f6f000..0x8f6fdc0]
    at sun.awt.windows.WToolkit.eventLoop(Native
    Method)
    at sun.awt.windows.WToolkit.run
    (WToolkit.java:183)
    at java.lang.Thread.run(Thread.java:479)

    "SunToolkit.PostEventQueue-0" prio=7 tid=0x780ec0
    nid=0x268 waiting on monitor [
    0x8f2f000..0x8f2fdc0]
    at java.lang.Object.wait(Native Method)
    at java.lang.Object.wait(Object.java:415)
    at sun.awt.PostEventQueue.run(SunToolkit.java:486)

    "AWT-EventQueue-0" prio=7 tid=0x77f7f0 nid=0x2d0
    waiting on monitor [0x8eef000..
    0x8eefdc0]
    at java.lang.Object.wait(Native Method)
    at java.lang.Object.wait(Object.java:415)
    at java.awt.EventQueue.getNextEvent
    (EventQueue.java:255)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchTh
    read.java:101)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThre
    ad.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)

    "Signal Dispatcher" daemon prio=10 tid=0x769210
    nid=0x38c waiting on monitor [0.
    .0]

    "Finalizer" daemon prio=9 tid=0x766410 nid=0x32b
    waiting on monitor [0x8daf000..
    0x8dafdc0]
    at java.lang.Object.wait(Native Method)
    at java.lang.ref.ReferenceQueue.remove
    (ReferenceQueue.java:103)
    at java.lang.ref.ReferenceQueue.remove
    (ReferenceQueue.java:118)
    at java.lang.ref.Finalizer$FinalizerThread.run
    (Finalizer.java:157)

    "Reference Handler" daemon prio=10 tid=0x7650a0
    nid=0x352 waiting on monitor [0x
    8d6f000..0x8d6fdc0]
    at java.lang.Object.wait(Native Method)
    at java.lang.Object.wait(Object.java:415)
    at java.lang.ref.Reference$ReferenceHandler.run
    (Reference.java:105)

    "VM Thread" prio=5 tid=0x764350 nid=0x2f8 runnable

    Hope this helps. :)

     
  • Colin Bell
    Colin Bell
    2002-08-15

    Logged In: YES
    user_id=233132

    I've made some changes which hopefully should fix this
    problem. These will be available in the next release
    1.1beta6 which should be out in about a weeks time.

    If they don't fix the problem there is a new option on the
    File menu called "Dump Application" I'd like you to run
    after you have opened a connection to the Sybase database.
    This will dump some of the internal structures of SQuirreL
    to a text file. Could you attach the text file to this bug
    report.

    Thanks
    Col

     
  • Colin Bell
    Colin Bell
    2002-08-26

    Logged In: YES
    user_id=233132

    1.1beta6 has just been released.

    Col

     
  • Logged In: NO

    Unfortunately, still does not fix problem. :(

    Here is stack dump again :

    N:\DOWNLOAD\squirrel_sql>C:\APPS\jdk1.3.1_04
    \bin\java -cp N:\DOWNLOAD\squirrel_s
    ql\squirrel-
    sql.jar;N:\DOWNLOAD\squirrel_sql\lib\fw.jar;N:\DOWNL
    OAD\squirrel_sql
    \lib\log4j.jar;N:\DOWNLOAD\squirrel_sql\lib\nanoxml-
    2.1.jar net.sourceforge.squi
    rrel_sql.client.Main -loggingConfigFile=log4j.properties
    Full thread dump:

    "Thread-2" daemon prio=2 tid=0x7d8ec0 nid=0x30d
    waiting on monitor [0x98cf000..0
    x98cfdc0]
    at java.lang.Object.wait(Native Method)
    at com.sybase.jdbc2.utils.SyncQueue.take
    (SyncQueue.java:84)
    at com.sybase.jdbc2.utils.SyncObj.giveToMe
    (SyncObj.java:41)
    at com.sybase.jdbc2.timedio.RequestObj.giveToMe
    (RequestObj.java:44)
    at
    com.sybase.jdbc2.timedio.OutStreamMgr.getSendLock
    (OutStreamMgr.java:1
    02)
    at com.sybase.jdbc2.tds.Tds.language
    (Tds.java:620)
    at com.sybase.jdbc2.jdbc.SybStatement.sendQuery
    (SybStatement.java:1315)
    at
    com.sybase.jdbc2.jdbc.SybPreparedStatement.sendQuery
    (SybPreparedState
    ment.java:913)
    at
    com.sybase.jdbc2.jdbc.SybStatement.executeUpdate
    (SybStatement.java:14
    58)
    at
    com.sybase.jdbc2.jdbc.SybPreparedStatement.executeUp
    date(SybPreparedS
    tatement.java:88)
    at com.sybase.jdbc2.tds.Tds.adjustMaxRows
    (Tds.java:2548)
    at com.sybase.jdbc2.tds.Tds.rpc(Tds.java:670)
    at
    com.sybase.jdbc2.jdbc.SybCallableStatement.sendRpc
    (SybCallableStateme
    nt.java:416)
    at
    com.sybase.jdbc2.jdbc.SybCallableStatement.executeQu
    ery(SybCallableSt
    atement.java:67)
    at
    com.sybase.jdbc2.tds.RowFormatToken.getColumnType
    Name(RowFormatToken.
    java:516)
    at java.lang.reflect.Method.invoke(Native Method)
    at
    net.sourceforge.squirrel_sql.fw.datasetviewer.ResultSetM
    etaDataDataSe
    t.executeGetter(ResultSetMetaDataDataSet.java:193)
    at
    net.sourceforge.squirrel_sql.fw.datasetviewer.ResultSetM
    etaDataDataSe
    t.load(ResultSetMetaDataDataSet.java:152)
    at
    net.sourceforge.squirrel_sql.fw.datasetviewer.ResultSetM
    etaDataDataSe
    t.setResultSetMetaData
    (ResultSetMetaDataDataSet.java:79)
    at
    net.sourceforge.squirrel_sql.fw.datasetviewer.ResultSetM
    etaDataDataSe
    t.<init>(ResultSetMetaDataDataSet.java:72)
    at
    net.sourceforge.squirrel_sql.fw.datasetviewer.ResultSetM
    etaDataDataSe
    t.<init>(ResultSetMetaDataDataSet.java:65)
    at
    net.sourceforge.squirrel_sql.client.session.mainpanel.SQ
    LExecuterTask
    .processQuery(SQLExecuterTask.java:209)
    at
    net.sourceforge.squirrel_sql.client.session.mainpanel.SQ
    LExecuterTask
    .run(SQLExecuterTask.java:135)
    at
    net.sourceforge.squirrel_sql.fw.util.TaskExecuter.run
    (TaskExecuter.ja
    va:65)
    at java.lang.Thread.run(Thread.java:479)

    "Thread-1" prio=5 tid=0x7c9ac0 nid=0x2eb waiting on
    monitor [0..0x6fb30]

    "Screen Updater" prio=5 tid=0x7c8170 nid=0x2c3
    waiting on monitor [0x988f000..0x
    988fdc0]
    at java.lang.Object.wait(Native Method)
    at java.lang.Object.wait(Object.java:415)
    at sun.awt.ScreenUpdater.nextEntry
    (ScreenUpdater.java:71)
    at sun.awt.ScreenUpdater.run
    (ScreenUpdater.java:90)

    "TimerQueue" daemon prio=5 tid=0x7c6c80 nid=0x2f5
    waiting on monitor [0x900f000.
    .0x900fdc0]
    at java.lang.Object.wait(Native Method)
    at javax.swing.TimerQueue.run
    (TimerQueue.java:228)
    at java.lang.Thread.run(Thread.java:479)

    "AWT-Windows" prio=7 tid=0x782ec0 nid=0x2e8
    runnable [0x8f6f000..0x8f6fdc0]
    at sun.awt.windows.WToolkit.eventLoop(Native
    Method)
    at sun.awt.windows.WToolkit.run
    (WToolkit.java:183)
    at java.lang.Thread.run(Thread.java:479)

    "SunToolkit.PostEventQueue-0" prio=7 tid=0x781a40
    nid=0x2da waiting on monitor [
    0x8f2f000..0x8f2fdc0]
    at java.lang.Object.wait(Native Method)
    at java.lang.Object.wait(Object.java:415)
    at sun.awt.PostEventQueue.run(SunToolkit.java:486)

    "AWT-EventQueue-0" prio=7 tid=0x780530 nid=0x2a1
    waiting on monitor [0x8eef000..
    0x8eefdc0]
    at java.lang.Object.wait(Native Method)
    at java.lang.Object.wait(Object.java:415)
    at java.awt.EventQueue.getNextEvent
    (EventQueue.java:255)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchTh
    read.java:101)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThre
    ad.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)

    "Signal Dispatcher" daemon prio=10 tid=0x769020
    nid=0x30b waiting on monitor [0.
    .0]

    "Finalizer" daemon prio=9 tid=0x767de0 nid=0x1ce
    waiting on monitor [0x8daf000..
    0x8dafdc0]
    at java.lang.Object.wait(Native Method)
    at java.lang.ref.ReferenceQueue.remove
    (ReferenceQueue.java:103)
    at java.lang.ref.ReferenceQueue.remove
    (ReferenceQueue.java:118)
    at java.lang.ref.Finalizer$FinalizerThread.run
    (Finalizer.java:157)

    "Reference Handler" daemon prio=10 tid=0x766b90
    nid=0x30a waiting on monitor [0x
    8d6f000..0x8d6fdc0]
    at java.lang.Object.wait(Native Method)
    at java.lang.Object.wait(Object.java:415)
    at java.lang.ref.Reference$ReferenceHandler.run
    (Reference.java:105)

    "VM Thread" prio=5 tid=0x765e40 nid=0x2bc runnable

    "VM Periodic Task Thread" prio=10 tid=0x768040
    nid=0x2e6 waiting on monitor
    "Suspend Checker Thread" prio=10 tid=0x769680
    nid=0x2fb runnable

    Cheers

    Paulo.

     
  • Logged In: NO

    forgot to say, tried dump application, but that froze too.

     
  • Paul Hussein
    Paul Hussein
    2002-08-27

    Logged In: YES
    user_id=40847

    doh! Maybe I should read your mail more closely. Dump
    before query !

    SQuirreL SQL Client Application Dump Tue Aug 27
    09:24:00 BST 2002

    ====================================

    Application Status Bean

    ===============
    <Beans>
    <Bean
    Class="net.sourceforge.squirrel_sql.client.mainframe.act
    ion.DumpApplicationCommand$ApplicationStatusBean"
    >
    <pluginInfo Indexed="true">
    <Bean
    Class="net.sourceforge.squirrel_sql.client.plugin.PluginI
    nfo">
    <webSite>http://squirrel-
    sql.sourceforge.net/</webSite>
    <isLoaded>true</isLoaded>
    <version>0.1</version>
    <descriptiveName>SQL Scripts
    Plugin</descriptiveName>

    <pluginClassName>net.sourceforge.squirrel_sql.plugins
    .sqlscript.SQLScriptPlugin</pluginClassName>
    <author>Johan Compagner</author>
    <internalName>sqlscript</internalName>
    <contributors/>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.client.plugin.PluginI
    nfo">
    <webSite>http://squirrel-
    sql.sourceforge.net/</webSite>
    <isLoaded>true</isLoaded>
    <version>0.1</version>
    <descriptiveName>jEdit Text Area
    Plugin</descriptiveName>

    <pluginClassName>net.sourceforge.squirrel_sql.plugins
    .jedit.JeditPlugin</pluginClassName>
    <author>Colin Bell</author>
    <internalName>jedit</internalName>
    <contributors/>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.client.plugin.PluginI
    nfo">
    <webSite>http://squirrel-
    sql.sourceforge.net/</webSite>
    <isLoaded>true</isLoaded>
    <version>0.21</version>
    <descriptiveName>Look & Feel
    Plugin</descriptiveName>

    <pluginClassName>net.sourceforge.squirrel_sql.plugins
    .laf.LAFPlugin</pluginClassName>
    <author>Colin Bell</author>
    <internalName>laf</internalName>
    <contributors/>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.client.plugin.PluginI
    nfo">
    <webSite>http://squirrel-
    sql.sourceforge.net/</webSite>
    <isLoaded>true</isLoaded>
    <version>0.10</version>
    <descriptiveName>Session Scripts
    Plugin</descriptiveName>

    <pluginClassName>net.sourceforge.squirrel_sql.plugins
    .sessionscript.SessionScriptPlugin</pluginClassName>
    <author>Colin Bell</author>

    <internalName>sessionscript</internalName>
    <contributors/>
    </Bean>
    </pluginInfo>
    <version>SQuirreL SQL Client Version
    1.1beta6</version>
    <preferences
    Class="net.sourceforge.squirrel_sql.client.preferences.S
    quirrelPreferences">
    <mainFrameWindowState
    Class="net.sourceforge.squirrel_sql.client.mainframe.Ma
    inFrameWindowState">
    <aliasesWindowState
    Class="net.sourceforge.squirrel_sql.fw.gui.WindowState"
    >
    <bounds
    Class="net.sourceforge.squirrel_sql.fw.util.beanwrapper.
    RectangleWrapper">
    <x>400</x>
    <height>250</height>
    <width>250</width>
    <y>5</y>
    </bounds>
    </aliasesWindowState>
    <driversWindowState
    Class="net.sourceforge.squirrel_sql.fw.gui.WindowState"
    >
    <bounds
    Class="net.sourceforge.squirrel_sql.fw.util.beanwrapper.
    RectangleWrapper">
    <x>5</x>
    <height>250</height>
    <width>250</width>
    <y>5</y>
    </bounds>
    </driversWindowState>
    <bounds
    Class="net.sourceforge.squirrel_sql.fw.util.beanwrapper.
    RectangleWrapper">
    <x>61</x>
    <height>680</height>
    <width>963</width>
    <y>22</y>
    </bounds>
    </mainFrameWindowState>

    <showMainStatusBar>true</showMainStatusBar>
    <sessionProperties
    Class="net.sourceforge.squirrel_sql.client.session.prope
    rties.SessionProperties">
    <largeResultSetObjectInfo
    Class="net.sourceforge.squirrel_sql.fw.datasetviewer.Lar
    geResultSetObjectInfo">
    <readClobsSize>255</readClobsSize>
    <readBlobsSize>255</readBlobsSize>
    <readBinary>false</readBinary>
    <readClobs>false</readClobs>
    <readVarBinary>false</readVarBinary>

    <readLongVarBinary>false</readLongVarBinary>
    <readBlobs>false</readBlobs>
    </largeResultSetObjectInfo>

    <sqlNbrOfRowsToShow>100</sqlNbrOfRowsToShow>
    <fontInfo/>
    <sqlLimitRows>true</sqlLimitRows>
    <autoCommit>true</autoCommit>

    <contentsNbrOfRowsToShow>100</contentsNbrOfRow
    sToShow>

    <sqlResultsOutputClassName>net.sourceforge.squirrel_
    sql.fw.datasetviewer.DataSetViewerTablePanel</sqlResul
    tsOutputClassName>
    <showToolBar>true</showToolBar>

    <sqlStatementSeparator>;</sqlStatementSeparator>

    <commitOnClosingConnection>false</commitOnClosin
    gConnection>

    <metaDataOutputClassName>net.sourceforge.squirrel_s
    ql.fw.datasetviewer.DataSetViewerTablePanel</metaData
    OutputClassName>
    <showRowCount>false</showRowCount>

    <contentsLimitRows>true</contentsLimitRows>
    </sessionProperties>
    <debugJdbc>false</debugJdbc>
    <showMainToolBar>true</showMainToolBar>
    <showToolTips>true</showToolTips>

    <useScrollableTabbedPanes>true</useScrollableTabbed
    Panes>

    <showAliasesToolBar>true</showAliasesToolBar>

    <showDriversToolBar>true</showDriversToolBar>

    <showContentsWhenDragging>true</showContentsWhe
    nDragging>
    <loginTimeout>30</loginTimeout>
    </preferences>
    <applicationArgument Indexed="true">
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.util.beanwrapper.
    StringWrapper">
    <string>-
    loggingConfigFile=log4j.properties</string>
    </Bean>
    </applicationArgument>
    </Bean>
    </Beans>

    ====================================

    System Properties

    ===============
    "java.runtime.name","Java(TM) 2 Runtime Environment,
    Standard Edition"
    "sun.boot.library.path","C:\APPS\jdk1.3.1_04\jre\bin"
    "java.vm.version","1.3.1_04-b02"
    "java.vm.vendor","Sun Microsystems Inc."
    "java.vendor.url","http://java.sun.com/"
    "path.separator",";"
    "java.vm.name","Java HotSpot(TM) Client VM"
    "file.encoding.pkg","sun.io"
    "java.vm.specification.name","Java Virtual Machine
    Specification"
    "user.dir","N:\DOWNLOAD\squirrel_sql"
    "java.runtime.version","1.3.1_04-b02"
    "java.awt.graphicsenv","sun.awt.Win32GraphicsEnvironm
    ent"
    "os.arch","x86"
    "java.io.tmpdir","C:\TEMP\"
    "line.separator","
    "
    "java.vm.specification.vendor","Sun Microsystems Inc."
    "java.awt.fonts",""
    "os.name","Windows NT"
    "java.library.path","C:\APPS\jdk1.3.1_04
    \bin;.;C:\WINNT\System32;C:\WINNT;C:\APPS\orant\bin
    ;C:\Program Files\Oracle\jre\1.1.7
    \bin;C:\WINNT\system32;C:\WINNT;;c:\apps\sybase\O
    CS-12_0\bin;c:\apps\sybase\OCS-12_0\dll;C:\Program
    Files\Common Files\OPEN IMAGE
    Shared;;c:\APPS\atria\bin;C:\APPS\Adobe\Acrobat\Read
    er;C:\WINNT\System32
    \WBEM;C:\SFU\common\;c:\apps\cygwin\bin;C:\APPS\s
    ybase\OCS-12_0\lib;C:\APPS\Adobe\Acrobat\Reader"
    "java.specification.name","Java Platform API
    Specification"
    "java.class.version","47.0"
    "os.version","4.0"
    "user.home","C:\WINNT\Profiles\husseinp"
    "user.timezone","Europe/London"
    "java.awt.printerjob","sun.awt.windows.WPrinterJob"
    "file.encoding","Cp1252"
    "java.specification.version","1.3"
    "java.class.path","N:\DOWNLOAD\squirrel_sql\squirrel-
    sql.jar;N:\DOWNLOAD\squirrel_sql\lib\fw.jar;N:\DOWNL
    OAD\squirrel_sql\lib\log4j.jar;N:\DOWNLOAD\squirrel_
    sql\lib\nanoxml-2.1.jar"
    "user.name","Husseinp"
    "java.vm.specification.version","1.0"
    "java.home","C:\APPS\jdk1.3.1_04\jre"
    "user.language","en"
    "java.specification.vendor","Sun Microsystems Inc."
    "awt.toolkit","sun.awt.windows.WToolkit"
    "java.vm.info","mixed mode"
    "java.version","1.3.1_04"
    "java.ext.dirs","C:\APPS\jdk1.3.1_04\jre\lib\ext"
    "sun.boot.class.path","C:\APPS\jdk1.3.1_04
    \jre\lib\rt.jar;C:\APPS\jdk1.3.1_04
    \jre\lib\i18n.jar;C:\APPS\jdk1.3.1_04
    \jre\lib\sunrsasign.jar;C:\APPS\jdk1.3.1_04\jre\classes"
    "java.vendor","Sun Microsystems Inc."
    "file.separator","\"
    "java.vendor.url.bug","http://java.sun.com/cgi-
    bin/bugreport.cgi"
    "sun.io.unicode.encoding","UnicodeLittle"
    "sun.cpu.endian","little"
    "user.region","GB"
    "sun.cpu.isalist","pentium_pro+mmx pentium_pro
    pentium+mmx pentium i486 i386"

    ====================================

    Drivers

    ===============
    <Beans>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLDriver">
    <jarFileName/>

    <url>jdbc:sybase:Tds:bmapss02:5000/gdidcdb</url>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>7c268:ea20e663f0:-7ff8</string>
    </identifier>
    <name>Sybase</name>

    <driverClassName>com.sybase.jdbc2.jdbc.SybDriver</d
    riverClassName>
    <jarFileNames Indexed="true">
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.util.beanwrapper.
    StringWrapper">
    <string>N:\jconnect_5.2
    \classes\jconn2.jar</string>
    </Bean>
    </jarFileNames>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLDriver">
    <jarFileName/>

    <url>jdbc:oracle:thin:@<server>:<1521>:<d
    atabase_name></url>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>-4</string>
    </identifier>
    <name>Oracle Thin Driver</name>

    <driverClassName>oracle.jdbc.driver.OracleDriver</driv
    erClassName>
    <jarFileNames Indexed="true">
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.util.beanwrapper.
    StringWrapper">
    <string>N:\jdbc\classes12.zip</string>
    </Bean>
    </jarFileNames>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLDriver">
    <jarFileName/>
    <url>jdbc:odbc:<alias></url>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>-1</string>
    </identifier>
    <name>JDBC ODBC Bridge</name>

    <driverClassName>sun.jdbc.odbc.JdbcOdbcDriver</driv
    erClassName>
    <jarFileNames Indexed="true"/>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLDriver">
    <jarFileName/>

    <url>jdbc:sybase:Tds:bmapss02:5000/gdidcdb</url>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>6bd75b:ea218b0baf:-7ff8</string>
    </identifier>
    <name>Sybase</name>

    <driverClassName>com.sybase.jdbc2.jdbc.SybDriver</d
    riverClassName>
    <jarFileNames Indexed="true">
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.util.beanwrapper.
    StringWrapper">
    <string>N:\jconnect_5.2
    \classes\jconn2.jar</string>
    </Bean>
    </jarFileNames>
    </Bean>
    </Beans>

    ====================================

    Aliases

    ===============
    <Beans>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLAlias">
    <driverIdentifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>-4</string>
    </driverIdentifier>

    <url>jdbc:oracle:thin:@ls0114.ny.global.chase.com:100
    01:gdmu1</url>
    <name>GDM_UST</name>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>7f409c:ee5a622934:-7feb</string>
    </identifier>
    <userName>GDM</userName>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLAlias">
    <driverIdentifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>7c268:ea20e663f0:-7ff8</string>
    </driverIdentifier>

    <url>jdbc:sybase:Tds:bmcls015:4500/gdidcdb</url>
    <name>GDI__DEV_OI3</name>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>77c31d:ef9e9b967e:-7fe8</string>
    </identifier>
    <userName>batch00</userName>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLAlias">
    <driverIdentifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>-4</string>
    </driverIdentifier>

    <url>jdbc:oracle:thin:@bmapss06.bournemouth.uk.chas
    e.com:1521:gdr1sa</url>
    <name>GDM</name>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>a68ef9:ec8ba63716:-7fef</string>
    </identifier>
    <userName>GDM</userName>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLAlias">
    <driverIdentifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>-4</string>
    </driverIdentifier>

    <url>jdbc:oracle:thin:@s0146.ny.global.chase.com:1521
    :gdmp1</url>
    <name>GDM_PRD</name>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>95d4fe:ee59466799:-7fed</string>
    </identifier>
    <userName>GDM</userName>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLAlias">
    <driverIdentifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>7c268:ea20e663f0:-7ff8</string>
    </driverIdentifier>

    <url>jdbc:sybase:Tds:s0057.ny.global.chase.com:9900/
    mis_prd</url>
    <name>GOODS_PROD</name>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>1e29fb:ea25517c0a:-7ff5</string>
    </identifier>
    <userName>batch00</userName>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLAlias">
    <driverIdentifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>7c268:ea20e663f0:-7ff8</string>
    </driverIdentifier>

    <url>jdbc:sybase:Tds:ls0114.ny.global.chase.com:4104
    /gdidcdb_ust</url>
    <name>GDI_UST</name>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>1e29fb:ea25517c0a:-7ff4</string>
    </identifier>
    <userName>batch00</userName>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLAlias">
    <driverIdentifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>7c268:ea20e663f0:-7ff8</string>
    </driverIdentifier>

    <url>jdbc:sybase:Tds:s0146.ny.global.chase.com:9000/
    gdidcdb_prd</url>
    <name>GDI_PRD</name>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>1e29fb:ea25517c0a:-7ff3</string>
    </identifier>
    <userName>batch00</userName>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLAlias">
    <driverIdentifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>7c268:ea20e663f0:-7ff8</string>
    </driverIdentifier>

    <url>jdbc:sybase:Tds:bmdbss01:4100/gdidcdb</url>
    <name>GDIFX_DEV</name>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>242b11:ef326542c1:-7fed</string>
    </identifier>
    <userName>batch00</userName>
    </Bean>
    <Bean
    Class="net.sourceforge.squirrel_sql.fw.sql.SQLAlias">
    <driverIdentifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>7c268:ea20e663f0:-7ff8</string>
    </driverIdentifier>

    <url>jdbc:sybase:Tds:bmapss02:5000/gdidcdb</url>
    <name>GOODS_DEV</name>
    <identifier
    Class="net.sourceforge.squirrel_sql.fw.id.UidIdentifier">
    <string>6bd75b:ea218b0baf:-7ff7</string>
    </identifier>
    <userName>batch00</userName>
    </Bean>
    </Beans>

     
  • Paul Hussein
    Paul Hussein
    2002-08-27

    Dump of application

     
    Attachments
  • Colin Bell
    Colin Bell
    2002-08-28

    Fix 1

     
    Attachments
  • Colin Bell
    Colin Bell
    2002-08-28

    Logged In: YES
    user_id=233132

    I've just attached a fix.jar file which may fix your
    problem. Could you download it and place it in your
    classpath when running SQuirrel BEFORE fw.jar.

    Col

     
  • Colin Bell
    Colin Bell
    2002-08-30

    • assigned_to: nobody --> colbell
     
  • Paul Hussein
    Paul Hussein
    2002-09-09

    Logged In: YES
    user_id=40847

    Sorry, missed the fix.jar being attached.

    A couple of things.

    Under 1.1 - 6 Things seem to have change under the
    browse objects tree. Have you inserted users under the
    database as the next element ??

    Well in Sybase, this seems to have killed browsing the
    tables as I can no longer see the tables etc.

    Unfortunately, even with fix.jar in the classpath I cannot
    perform any queries.

    Here is log if that helps

    [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    -
    ====================================
    ===================
    31 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    -
    ====================================
    ===================
    31 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    -
    ====================================
    ===================
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - SQuirreL SQL Client Version 1.1beta6 started: Mon
    Sep 09 11:08:17 BST 2002
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - Copyright (c) 2001 - 2002 Colin Bell
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.vendor: Sun Microsystems Inc.
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.version: 1.3.1_04
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.runtime.name: Java(TM) 2 Runtime Environment,
    Standard Edition
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - os.name: Windows NT
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - os.version: 4.0
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - os.arch: x86
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - user.dir: N:\DOWNLOAD\squirrel_sql
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - user.home: C:\WINNT\Profiles\husseinp
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.home: C:\APPS\jdk1.3.1_04\jre
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.class.path:
    N:\DOWNLOAD\squirrel_sql\squirrel-
    sql.jar;N:\DOWNLOAD\squirrel_sql\lib\fw.jar;N:\DOWNL
    OAD\squirrel_sql\lib\log4j.jar;N:\DOWNLOAD\squirrel_
    sql\lib\nanoxml-2.1.jar
    7234 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sqlscript loaded in 31 ms.
    7250 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin jedit loaded in 16 ms.
    11687 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error loading class
    com.l2fprod.contrib.nanoxml.sax.SAXLocator
    java.lang.NoClassDefFoundError: org/xml/sax/Locator
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:405)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    11703 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error loading class
    com.l2fprod.contrib.nanoxml.sax.SAXParser
    java.lang.NoClassDefFoundError: org/xml/sax/Parser
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:405)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    14234 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error loading class
    com.oyoaha.swing.plaf.oyoaha.ui.OyoahaSpinnerUI
    java.lang.NoClassDefFoundError:
    javax/swing/plaf/basic/BasicSpinnerUI
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:405)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    14734 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error occured loading Look and Feel:
    com.l2fprod.gui.plaf.skin.LinuxLookAndFeel
    com.l2fprod.gui.plaf.skin.impl.gtk.GtkSkinNotFoundExc
    eption
    at
    com.l2fprod.gui.plaf.skin.impl.gtk.GtkSkin.getDefaultSki
    nLocation(GtkSkin.java:314)
    at
    com.l2fprod.gui.plaf.skin.LinuxLookAndFeel.<init>
    (LinuxLookAndFeel.java:71)
    at java.lang.Class.newInstance0(Native
    Method)
    at java.lang.Class.newInstance(Class.java:232)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:412)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    14797 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin laf loaded in 7547 ms.
    14797 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sessionscript loaded in 0 ms.
    18703 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin laf initialised in 0 ms.
    18828 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sqlscript initialised in 125 ms.
    19141 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin jedit initialised in 313 ms.
    19219 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sessionscript initialised in 78 ms.
    2868422 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class
    com.sybase.jdbc2.jdbc.SybPooledConnection
    java.lang.NoClassDefFoundError:
    javax/sql/PooledConnection
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    2868422 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class
    com.sybase.jdbc2.jdbc.SybXAConnection
    java.lang.NoClassDefFoundError:
    javax/sql/PooledConnection
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at java.lang.ClassLoader.loadClassInternal
    (ClassLoader.java:310)
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    2868422 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class
    com.sybase.jdbc2.jdbc.SybDataSource
    java.lang.NoClassDefFoundError: javax/sql/DataSource
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClassInternal
    (ClassLoader.java:310)
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    2868437 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class
    com.sybase.jdbc2.jdbc.SybXADataSource
    java.lang.NoClassDefFoundError: javax/sql/DataSource
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at java.lang.ClassLoader.loadClassInternal
    (ClassLoader.java:310)
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at java.lang.ClassLoader.loadClassInternal
    (ClassLoader.java:310)
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    2868437 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class
    com.sybase.jdbc2.jdbc.SybXAResource
    java.lang.NoClassDefFoundError:
    javax/transaction/xa/XAResource
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    2868453 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class
    com.sybase.jdbc2.jdbc.SybXAResource11
    java.lang.NoClassDefFoundError:
    javax/transaction/xa/XAResource
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at java.lang.ClassLoader.loadClassInternal
    (ClassLoader.java:310)
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    2868453 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class com.sybase.jdbc2.jdbc.SybXid
    java.lang.NoClassDefFoundError:
    javax/transaction/xa/Xid
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    2868453 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class
    com.sybase.jdbc2.jdbc.SybConnectionPoolDataSource
    java.lang.NoClassDefFoundError: javax/sql/DataSource
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at java.lang.ClassLoader.loadClassInternal
    (ClassLoader.java:310)
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at java.lang.ClassLoader.loadClassInternal
    (ClassLoader.java:310)
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    2868687 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class com.sybase.jdbcx.SybDataSource
    java.lang.NoClassDefFoundError: javax/sql/DataSource
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    2911406 [Thread-2] ERROR
    net.sourceforge.squirrel_sql.client.mainframe.action.Con
    nectToAliasCommand - Unexpected Error occured
    attempting to open an SQL connection.
    java.sql.SQLException: JZ00L: Login failed. Examine the
    SQLWarnings chained to this exception for the reason(s).
    at
    com.sybase.jdbc2.jdbc.ErrorMessage.raiseError
    (ErrorMessage.java:439)
    at
    com.sybase.jdbc2.tds.Tds.processLoginAckToken
    (Tds.java:2901)
    at com.sybase.jdbc2.tds.Tds.doLogin
    (Tds.java:422)
    at com.sybase.jdbc2.tds.Tds.login
    (Tds.java:349)
    at
    com.sybase.jdbc2.jdbc.SybConnection.tryLogin
    (SybConnection.java:213)
    at
    com.sybase.jdbc2.jdbc.SybConnection.regularConnect
    (SybConnection.java:190)
    at
    com.sybase.jdbc2.jdbc.SybConnection.<init>
    (SybConnection.java:169)
    at
    com.sybase.jdbc2.jdbc.SybConnection.<init>
    (SybConnection.java:122)
    at com.sybase.jdbc2.jdbc.SybDriver.connect
    (SybDriver.java:175)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverManager.ge
    tConnection(SQLDriverManager.java:98)
    at
    net.sourceforge.squirrel_sql.client.mainframe.action.Ope
    nConnectionCommand.execute
    (OpenConnectionCommand.java:112)
    at
    net.sourceforge.squirrel_sql.client.mainframe.action.Con
    nectToAliasCommand$SheetHandler.run
    (ConnectToAliasCommand.java:339)
    at
    net.sourceforge.squirrel_sql.fw.util.TaskExecuter.run
    (TaskExecuter.java:65)
    at java.lang.Thread.run(Thread.java:479)
    3057401 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class
    net.sourceforge.squirrel_sql.client.Java14$1
    java.lang.NoClassDefFoundError:
    java/awt/DefaultKeyboardFocusManager
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at
    sun.misc.Launcher$AppClassLoader.loadClass
    (Launcher.java:281)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:287)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    3162181 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverManager -
    Unable to find Driver Class
    com.sybase.jdbc2.jdbc.SybDriver for JDCB driver Sybase
    lassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at java.lang.ClassLoader.loadClassInternal
    (ClassLoader.java:310)
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    195406 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class com.sybase.jdbc2.jdbc.SybXid
    java.lang.NoClassDefFoundError:
    javax/transaction/xa/Xid
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    195422 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class
    com.sybase.jdbc2.jdbc.SybConnectionPoolDataSource
    java.lang.NoClassDefFoundError: javax/sql/DataSource
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at java.lang.ClassLoader.loadClassInternal
    (ClassLoader.java:310)
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at java.lang.ClassLoader.loadClassInternal
    (ClassLoader.java:310)
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    195844 [AWT-EventQueue-0] ERROR
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet
    - Error loading class com.sybase.jdbcx.SybDataSource
    java.lang.NoClassDefFoundError: javax/sql/DataSource
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.fw.sql.SQLDriverClassLoade
    r.getDriverClasses(SQLDriverClassLoader.java:43)
    at
    net.sourceforge.squirrel_sql.client.db.DriverMaintSheet$
    ListDriversButton.actionPerformed
    (DriverMaintSheet.java:647)
    at
    javax.swing.AbstractButton.fireActionPerformed
    (AbstractButton.java:1445)
    at
    javax.swing.AbstractButton$ForwardActionEvents.action
    Performed(AbstractButton.java:1499)
    at
    javax.swing.DefaultButtonModel.fireActionPerformed
    (DefaultButtonModel.java:373)
    at javax.swing.DefaultButtonModel.setPressed
    (DefaultButtonModel.java:245)
    at
    javax.swing.plaf.basic.BasicButtonListener.mouseRelease
    d(BasicButtonListener.java:211)
    at java.awt.Component.processMouseEvent
    (Component.java:3710)
    at java.awt.Component.processEvent
    (Component.java:3539)
    at java.awt.Container.processEvent
    (Container.java:1159)
    at java.awt.Component.dispatchEventImpl
    (Component.java:2588)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1208)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at
    java.awt.LightweightDispatcher.retargetMouseEvent
    (Container.java:2446)
    at
    java.awt.LightweightDispatcher.processMouseEvent
    (Container.java:2211)
    at
    java.awt.LightweightDispatcher.dispatchEvent
    (Container.java:2120)
    at java.awt.Container.dispatchEventImpl
    (Container.java:1195)
    at java.awt.Window.dispatchEventImpl
    (Window.java:923)
    at java.awt.Component.dispatchEvent
    (Component.java:2492)
    at java.awt.EventQueue.dispatchEvent
    (EventQueue.java:334)
    at
    java.awt.EventDispatchThread.pumpOneEventForHierarch
    y(EventDispatchThread.java:126)
    at
    java.awt.EventDispatchThread.pumpEventsForHierarchy
    (EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.pumpEvents
    (EventDispatchThread.java:88)
    at java.awt.EventDispatchThread.run
    (EventDispatchThread.java:80)
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    -
    ====================================
    ===================
    16 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    -
    ====================================
    ===================
    16 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    -
    ====================================
    ===================
    16 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - SQuirreL SQL Client Version 1.1beta6 started: Mon
    Sep 09 12:01:16 BST 2002
    16 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - Copyright (c) 2001 - 2002 Colin Bell
    16 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.vendor: Sun Microsystems Inc.
    16 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.version: 1.3.1_04
    16 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.runtime.name: Java(TM) 2 Runtime Environment,
    Standard Edition
    32 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - os.name: Windows NT
    32 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - os.version: 4.0
    32 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - os.arch: x86
    32 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - user.dir: N:\DOWNLOAD\squirrel_sql
    32 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - user.home: C:\WINNT\Profiles\husseinp
    32 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.home: C:\APPS\jdk1.3.1_04\jre
    32 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.class.path:
    N:\DOWNLOAD\squirrel_sql\lib\fix.jar;N:\DOWNLOAD\ squirrel_sql\squirrel-
    sql.jar;N:\DOWNLOAD\squirrel_sql\lib\fw.jar;N:\DOWNL
    OAD\squirrel_sql\lib\log4j.jar;N:\DOWNLOAD\squirrel_
    sql\lib\nanoxml-2.1.jar
    3313 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sqlscript loaded in 31 ms.
    3329 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin jedit loaded in 16 ms.
    6938 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error loading class
    com.l2fprod.contrib.nanoxml.sax.SAXLocator
    java.lang.NoClassDefFoundError: org/xml/sax/Locator
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:405)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    6969 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error loading class
    com.l2fprod.contrib.nanoxml.sax.SAXParser
    java.lang.NoClassDefFoundError: org/xml/sax/Parser
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:405)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    9329 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error loading class
    com.oyoaha.swing.plaf.oyoaha.ui.OyoahaSpinnerUI
    java.lang.NoClassDefFoundError:
    javax/swing/plaf/basic/BasicSpinnerUI
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:405)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    9907 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error occured loading Look and Feel:
    com.l2fprod.gui.plaf.skin.LinuxLookAndFeel
    com.l2fprod.gui.plaf.skin.impl.gtk.GtkSkinNotFoundExc
    eption
    at
    com.l2fprod.gui.plaf.skin.impl.gtk.GtkSkin.getDefaultSki
    nLocation(GtkSkin.java:314)
    at
    com.l2fprod.gui.plaf.skin.LinuxLookAndFeel.<init>
    (LinuxLookAndFeel.java:71)
    at java.lang.Class.newInstance(Class.java:232)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:412)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    9954 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin laf loaded in 6625 ms.
    9954 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sessionscript loaded in 0 ms.
    12954 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin laf initialised in 0 ms.
    13063 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sqlscript initialised in 109 ms.
    13125 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin jedit initialised in 62 ms.
    13469 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sessionscript initialised in 344 ms.
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    -
    ====================================
    ===================
    31 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    -
    ====================================
    ===================
    31 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    -
    ====================================
    ===================
    47 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - SQuirreL SQL Client Version 1.1beta6 started: Mon
    Sep 09 12:17:15 BST 2002
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - Copyright (c) 2001 - 2002 Colin Bell
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.vendor: Sun Microsystems Inc.
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.version: 1.3.1_04
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.runtime.name: Java(TM) 2 Runtime Environment,
    Standard Edition
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - os.name: Windows NT
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - os.version: 4.0
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - os.arch: x86
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - user.dir: N:\DOWNLOAD\squirrel_sql
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - user.home: C:\WINNT\Profiles\husseinp
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.home: C:\APPS\jdk1.3.1_04\jre
    62 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
    - java.class.path:
    N:\DOWNLOAD\squirrel_sql\lib\fix.jar;N:\DOWNLOAD\ squirrel_sql\squirrel-
    sql.jar;N:\DOWNLOAD\squirrel_sql\lib\fw.jar;N:\DOWNL
    OAD\squirrel_sql\lib\log4j.jar;N:\DOWNLOAD\squirrel_
    sql\lib\nanoxml-2.1.jar
    3547 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sqlscript loaded in 47 ms.
    3562 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin jedit loaded in 15 ms.
    7219 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error loading class
    com.l2fprod.contrib.nanoxml.sax.SAXLocator
    java.lang.NoClassDefFoundError: org/xml/sax/Locator
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:405)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    7250 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error loading class
    com.l2fprod.contrib.nanoxml.sax.SAXParser
    java.lang.NoClassDefFoundError: org/xml/sax/Parser
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:405)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    9531 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error loading class
    com.oyoaha.swing.plaf.oyoaha.ui.OyoahaSpinnerUI
    java.lang.NoClassDefFoundError:
    javax/swing/plaf/basic/BasicSpinnerUI
    at java.lang.ClassLoader.defineClass0(Native
    Method)
    at java.lang.ClassLoader.defineClass
    (ClassLoader.java:488)
    at java.security.SecureClassLoader.defineClass
    (SecureClassLoader.java:106)
    at java.net.URLClassLoader.defineClass
    (URLClassLoader.java:243)
    at java.net.URLClassLoader.access$100
    (URLClassLoader.java:51)
    at java.net.URLClassLoader$1.run
    (URLClassLoader.java:190)
    at java.security.AccessController.doPrivileged
    (Native Method)
    at java.net.URLClassLoader.findClass
    (URLClassLoader.java:183)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.fi
    ndClass(MyURLClassLoader.java:113)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:294)
    at java.lang.ClassLoader.loadClass
    (ClassLoader.java:250)
    at
    net.sourceforge.squirrel_sql.fw.util.MyURLClassLoader.g
    etAssignableClasses(MyURLClassLoader.java:86)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:405)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    10062 [main] ERROR
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister -
    Error occured loading Look and Feel:
    com.l2fprod.gui.plaf.skin.LinuxLookAndFeel
    com.l2fprod.gui.plaf.skin.impl.gtk.GtkSkinNotFoundExc
    eption
    at
    com.l2fprod.gui.plaf.skin.impl.gtk.GtkSkin.getDefaultSki
    nLocation(GtkSkin.java:314)
    at
    com.l2fprod.gui.plaf.skin.LinuxLookAndFeel.<init>
    (LinuxLookAndFeel.java:71)
    at java.lang.Class.newInstance0(Native
    Method)
    at java.lang.Class.newInstance(Class.java:232)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.inst
    allLookAndFeels(LAFRegister.java:412)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFRegister.<ini
    t>(LAFRegister.java:160)
    at
    net.sourceforge.squirrel_sql.plugins.laf.LAFPlugin.load
    (LAFPlugin.java:151)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugin(PluginManager.java:405)
    at
    net.sourceforge.squirrel_sql.client.plugin.PluginManager.
    loadPlugins(PluginManager.java:348)
    at
    net.sourceforge.squirrel_sql.client.Application.startup
    (Application.java:150)
    at
    net.sourceforge.squirrel_sql.client.Main.main
    (Main.java:65)
    10125 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin laf loaded in 6563 ms.
    10125 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sessionscript loaded in 0 ms.
    13422 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin laf initialised in 0 ms.
    13516 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sqlscript initialised in 94 ms.
    13578 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin jedit initialised in 62 ms.
    13844 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager
    - Plugin sessionscript initialised in 266 ms.

     
  • Colin Bell
    Colin Bell
    2002-09-16

    Logged In: YES
    user_id=233132

    I've finally got a copy of Sybase (11.0.3.3-2) and installed
    it on Linux along with jconnect 4.2, 4.5, 5.2 and 5.5.

    Unfortunately I'm not able to duplicate your problems.
    Everything works for me (including displaying all the tables
    in the object tree) with every version of jConnect.

    I did find a comment in an Internet search about the
    setMaxRows feature which could sometimes freeze jConnect.
    Could you try opening a connection to your Sybase server in
    Squirrel and before issuing any SQL (or displaying the
    contents of a table in the tree) go into the SQL tab in the
    session properties dialog (Session properties item on the
    Session menu) and uncheck both "Contents - limit rows" and
    "SQL - limit rows" and then try your queries.

    As well there is another bug registered for a similar
    problem with Sybase
    https://sourceforge.net/tracker/index.php?func=detail&aid=571411&group_id=28383&atid=393414
    and theres a comment in there where somebody had the problem
    in jConnect 5.5 but when they went back to jConnect 4.5 the
    problem went away.

    Col

     
  • Colin Bell
    Colin Bell
    2002-09-23

    Logged In: YES
    user_id=233132

    I've had a confirmation from another user of Squirrel about
    the setmaxRows() issue with Sybase/jConnect. The workaround
    is to change the Squirrel Session properties to retrieve all
    rows from a resultset. Unfortunately this would lead to
    performance issues if you are querying large tables.

    I'm not convinced that this is causing all your problems
    however, I think that your setup may also have an issue with
    running multiple statements against a connection. I'd like
    you to run a small test program against your database but to
    do this I need to know a catalog/schema/table name that I
    could run selects against. Do you have the pubs2 database
    installed in your version of Sybase?

    Col

     
  • Paul Hussein
    Paul Hussein
    2002-09-30

    Logged In: YES
    user_id=40847

    You are a complete star.

    Yes, switching those two setting off has sprung the whole
    application into life.

    Whats the best way forward on this item. I would like this
    globally fixed for all the users here.

    Paul.

     
  • Paul Hussein
    Paul Hussein
    2002-09-30

    Logged In: YES
    user_id=40847

    Mmmm, maybe not then!

    Works sometimes.

    What would you want to do in these tests ?

    Read only or write aswell ?

    Maybe we could set a custom tabel up ?

     
  • Stan Berka
    Stan Berka
    2002-10-08

    Logged In: YES
    user_id=615064

    Hi,

    I'm the user that reported the problem with select with
    Sybase/jConnect when I use "SQL - Limit Rows". The querry
    doesn't ever return and if I ask to cancel it, the Squirrel
    freezes.

    Col thought it is a jConnect problem and it may be. However,
    the "Content - Limit Rows" on the same server, driver and
    select (select * from table1) works fine. This would indicate
    that Squirel is able to deal with this problem on the "table
    content" feature. Can the same treatment be applied
    to "SQL" module?

    Stan Berka

     
  • Colin Bell
    Colin Bell
    2002-10-09

    Logged In: YES
    user_id=233132

    Hi Paul,

    Firstly I have to apologize for seeming to ignore this
    issue, for some reason SourceForge has stopped emailing me
    whenever a bug gets updated.

    The test I'd like to run is running 2 selects over two different
    tables and retrieving data from them alternately.

    Let me know if you have a java compiler and are comfortable
    with Java and I'll put up a source file that you can tailor
    to your environment and run.

    Col

     
  • Colin Bell
    Colin Bell
    2002-10-09

    Logged In: YES
    user_id=233132

    Hi Stan,

    >> Col thought it is a jConnect problem and it may be.
    However,
    >> the "Content - Limit Rows" on the same server, driver
    >> and
    >> select (select * from table1) works fine. This would
    indicate
    >> that Squirel is able to deal with this problem on the "table
    >> content" feature. Can the same treatment be applied
    >> to "SQL" module?

    I'm not quite clear on what you mean. Does the content tab
    always work irrespective of the "Content - Limit Rows"
    setting? And does executing an SQL statement always work
    irrespective of the "SQL - Limit Rows" setting? Is it only
    when you try to execute 2 SQL statements at the same time E.G.

    select * from table1 <CTRL><ENTER>
    select * from table2 <CTRL><ENTER>

    that you have a problem?

    If its the latter could you try the following and let me
    know whether it works.

    select * from table1;
    select * from table2 <CTRL><ENTER>

    This should run the two statements sequentially in a single
    thread whereas the previous example should run them
    concurrently in two threads.

    Col

     
  • Colin Bell
    Colin Bell
    2002-10-11

    Test multi statement handling in Sybase

     
    Attachments
  • Colin Bell
    Colin Bell
    2002-10-11

    Logged In: YES
    user_id=233132

    I've attached a file test.java which will test the multiple
    statement handling of JConnect/Sybase. You'll just need to
    change the tables, URL and user name for your own installation.

    It should print out the number of rows in the 2 specified
    tables.

    Col

     
  • Paul Hussein
    Paul Hussein
    2002-10-15

    Logged In: YES
    user_id=40847

    Here is the output from the code, which seems to work o.k.

    %javac Test.java ; java -cp /dvl/sw/nt/jConnect-
    5_2/classes/jconn2.jar:. Test
    count1: 2
    count2: 3

     
  • Colin Bell
    Colin Bell
    2002-10-17

    Logged In: YES
    user_id=233132

    I've got hold of a copy of Sybase 11.9 so I'll try to find
    some time to install it and see fi I can duplicate the problems.

    Col

     
  • Colin Bell
    Colin Bell
    2002-11-27

    Logged In: YES
    user_id=233132

    Sorry for the delay. I've installed Sybase 11.9 on my Linux
    box and again cannot duplicate your "freezing problem". Its
    looking more and more like its version problems with Sybase
    and JConnect. I.E. this version of Sybase doesn't work with
    this version of JConnect.

     
  • Colin Bell
    Colin Bell
    2003-07-11

    Logged In: YES
    user_id=233132

    SQuirreL 1.2beta1 has just been released. You can now set
    the JCONNECT_VERSION connection property. Does setting it to
    a value appropriate for your version of Sybase/JConnect fix
    the problem?

     
1 2 > >> (Page 1 of 2)